Summary:	LASH Audio Session Handler
Summary(pl.UTF-8):	LASH Audio Session Handler - obsługa sesji dźwiękowych
Name:		lash
Version:	0.5.4
Release:	7
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://download.savannah.gnu.org/releases/lash/%{name}-%{version}.tar.gz
# Source0-md5:	8eeb7e91f9127d7d9fc6ec076cbe14ed
Patch0:		%{name}-link.patch
Patch1:		%{name}-glibc2.8.patch
Patch2:		%{name}-swig2.patch
Patch3:		texinfo5.patch
Patch4:		rlimit.patch
Patch5:		%{name}-swig3.patch
URL:		http://lash.nongnu.org/
BuildRequires:	/usr/bin/texi2html
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	jack-audio-connection-kit-devel >= 0.99.17
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	readline-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	swig-python >= 1.3.31
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LASH Audio Session Handler consists of a daemon, a client library and
a some clients that implement a session management system for audio
applications on Linux.

%description -l pl.UTF-8
LASH Audio Session Handler składa się z demona, biblioteki klienckiej
i kilku programów klienckich implementujących system zarządzania
sesjami dla aplikacji dźwiękowych działających pod Linuksem.

%package gtk
Summary:	GTK+ based LASH clients
Summary(pl.UTF-8):	Programy klienckie LASH oparte na GTK+
Group:		X11/Applications/Sound
Requires:	%{name}-libs = %{version}-%{release}

%description gtk
GTK+ based LASH clients.

%description gtk -l pl.UTF-8
Programy klienckie LASH oparte na GTK+.

%package libs
Summary:	LASH Audio Session Handler library
Summary(pl.UTF-8):	Biblioteka LASH Audio Session Handler
Group:		Libraries

%description libs
LASH Audio Session Handler library.

%description libs -l pl.UTF-8
Biblioteka LASH Audio Session Handler do obsługi sesji dźwiękowych.

%package devel
Summary:	Header files for LASH library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LASH
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libuuid-devel

%description devel
Header files for LASH library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LASH.

%package static
Summary:	Static LASH library
Summary(pl.UTF-8):	Statyczna biblioteka LASH
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LASH library.

%description static -l pl.UTF-8
Statyczna biblioteka LASH.

%package -n python-lash
Summary:	Python bindings for LASH library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki LASH
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-lash
Python bindings for LASH library.

%description -n python-lash -l pl.UTF-8
Wiązania Pythona do biblioteki LASH.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	pkgpyexecdir="\$(pyexecdir)"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgpyexecdir="\$(pyexecdir)"

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/_lash.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.SECURITY TODO docs/lash-manual-html-split/lash-manual*
%attr(755,root,root) %{_bindir}/lash_control
%attr(755,root,root) %{_bindir}/lash_simple_client
%attr(755,root,root) %{_bindir}/lash_synth
%attr(755,root,root) %{_bindir}/lashd
%{_datadir}/lash

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lash_panel
%attr(755,root,root) %{_bindir}/lash_save_button

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblash.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblash.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblash.so
%{_libdir}/liblash.la
%{_includedir}/lash-1.0
%{_pkgconfigdir}/lash-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblash.a

%files -n python-lash
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_lash.so
%{py_sitedir}/lash.py[co]
%changelog
* Mon Sep 02 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lash.git;a=log;h=master

* Mon Sep 02 2019 Marcin Krol <hawk@tld-linux.org> 98c8c0f
- release 7

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 8a41ce9
- rebuild with readline 7.0
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f57d279
- release 5 (by relup.sh)

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> bab7834
- update configure for swig 3.x
- fix building with texinfo 5.x
- fix missing definitions for rlimit family on latest glibc
- rel 4

* Wed Dec 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 0efbf96
- added swig2 patch (support swig 2.0.x)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 75f5018
- release 3

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 0bc2439
- unify %attr() %ghost order

* Thu Jan 14 2010 Krzysztof Mościcki <stivi@kity.pl> 9ad93ea
- rel 2; proper fix build, patch from gentoo
- remove old patch

* Fri Nov 27 2009 Jacek Konieczny <jajcus@pld-linux.org> baa2f52
- build fix, by Krzysztof Mościcki

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 35628f8
- up to 0.5.4

* Mon Jun 25 2007 Jakub Bogusz <qboosh@pld-linux.org> c329f28
- new

* Mon Jun 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 6654552
- don't add -lreadline to LIBS

